JS-17.0.0

Introduction to JS

JS is Mozilla's JavaScript engine written in C/C++.

This package is known to build and work properly using an LFS-7.6 platform.

Package Information

JS Dependencies

Required

libffi-3.2.1, NSPR-4.10.7, Python-2.7.9 and Zip-3.0

Optional

Doxygen-1.8.8

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/JS

Installation of JS

Install JS by running the following commands:

cd js/src &&
./configure --prefix=/usr       \
            --enable-readline   \
            --enable-threadsafe \
            --with-system-ffi   \
            --with-system-nspr &&
make

To test the results, issue: make check.

Now, as the root user:

make install &&
find /usr/include/js-17.0/            \
     /usr/lib/libmozjs-17.0.a         \
     /usr/lib/pkgconfig/mozjs-17.0.pc \
     -type f -exec chmod -v 644 {} \;

Command Explanations

--enable-threadsafe: This switch enables support for multiple threads.

--enable-readline: This switch enables Readline support in JS shell.

--with-system-ffi: This switch forces the package to link to the system version of libffi instead of using its included, and now old, version.

--with-system-nspr: This switch forces the package to link to the system version of NSPR instead of using its included, and now old, version.

Contents

Installed Programs: js17 and js17-config
Installed Libraries: libmozjs-17.0.a and libmozjs-17.0.so
Installed Directory: /usr/include/js-17.0

Short Descriptions

js17

provides a command line interface to the JavaScript engine.

js17-config

is used to find out JS compiler and linker flags.

libmozjs-17.0.so

contains the Mozilla JavaScript API functions.

Last updated on 2014-09-09 19:00:35 +0000